io.milvus.response

## Class ShowCollResponseWrapper.CollectionInfo

- java.lang.Object
- - io.milvus.response.ShowCollResponseWrapper.CollectionInfo

Enclosing class:
  ShowCollResponseWrapper

    public static final class ShowCollResponseWrapper.CollectionInfo
    extends java.lang.Object

Internal-use class to wrap response of `showCollections` interface.

### Constructor Summary

Constructors
Constructor and Description
`CollectionInfo(java.lang.String name, long id, long utcTimestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `SetInMemoryPercentage(long inMemoryPercentage)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CollectionInfo

    public CollectionInfo(java.lang.String name,
                          long id,
                          long utcTimestamp)

### Method Detail

#### SetInMemoryPercentage

    public void SetInMemoryPercentage(long inMemoryPercentage)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`